
import math
x = math.inf

A1 = [
      [0, 4, 9, 5, x], #a
      [6, 0, x, 7, 6], #b
      [9, 5, 0, x, 3], #c
      [5, 5, x, 0, 8], #d
      [x, 6, 3, 9, 0]  #e
    ]


P1 = [0,2,4,3,1]
Q1 = [3,0,1,2,4]  

A2 = [
      [0, 4, 9, x, x], #a
      [x, 0, x, 7, 6], #b
      [9, 5, 0, x, x], #c
      [x, 5, x, 0, 8], #d
      [x, 6, 3, 9, 0]  #e
    ]

A3 = [
      [0,1,0,1,0,0,0], #a
      [1,0,1,1,1,0,0], #b
      [0,1,0,0,1,0,0], #c
      [1,1,0,0,0,1,0], #d
      [0,1,1,1,0,1,1], #e
      [0,0,0,1,1,0,1], #f
      [0,0,0,0,1,1,0]  #g
     ]
C3 = [1,2,2,1,3,2,1]



def percurso(A, P):
    c = 0
    n = len(A)
    for i in range(1,n):
        c = c + A[P[i-1]][P[i]]
    c = c + A[P[n-1]][P[0]]
    return c


def assimetrias(A):
    P = []
    Q = []
    n = len(A)
    for i in range(0,n):
        for j in range(i+1,n):
            if A[i][j] != A[j][i]:
                if A[i][j] + A[j][i] == x:
                    P.append((i,j))
                else:
                    Q.append((i,j))
    return (P,Q)



def mesmas_cores (A, C):
	L = []
	n = len(A)
	for i in range(n):
		for j in range(i+1,n):
			if A[i][j] == 1 and C[i] == C[j]:
				L.append([i,j,C[i]])
	return L

